dear_Alice_moon的专栏

每一条走过的路都有不得不这样跋涉的理由,每一条将要走下去的路都有不得不这样选择的方向。...

The type java.lang.Object cannot be resolved.It is indirectly referenced from required .class file

        参考文章地址:参考文章网址


        问题描述:The type java.lang.Object cannot be resolved.It is indirectly referenced from required .class file

           eclipse android应用开发。工程原本好好的,突然有天就用不了了,错误如上,出现在package之前。谁能告诉我怎么办


          在这里,Eclipse的Java开发,同样也是用本方法。


           在我本人进行Java开发过程中,Eclipse中已经将JDK、Tomcat环境安装、搭配完毕,但是某一个.java文件的头部"package org.api"中的package的下方有一个红色的小波浪线,显示"The type java.lang.Object cannot be resolved. It is indirectly referenced from required .class files"的错误,让我很苦恼,我也为此花费了非常多的时间来解决此问题!


            通过参考本文开头的文章,我成功解决了Eclipse中的问题。


解决方案

        第一步:查看JDK是否配置到Eclipse中,如果Eclipse中已经配置了JDK,则删去JDK配置(如图一所示)。之后按照步骤二及以后的步骤进行操作。如果JDK没有配置到Eclipse中,则这种情况我还没有遇到,读者可自己多尝试试着操作一下。          

         

         

图片一

        

        第二步:直接在首行package中点击提示



图片二


         第三步:在Java Build Path中的Libraries选项栏界面中,点击Add Library...



图片三


         第四步:在新弹出的界面中选择“JRE System Library”,之后点击"Next".



图片四


          第五步:在JRE System Library界面中,选择Workspace default JRE(JDK),之后点击"Finish" .



图片五


          我就是通过这种方式,解决我的问题的。


                  祝各位好运                 


阅读更多
版权声明:本文为博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/dear_Alice_moon/article/details/78073740
文章标签: eclipse java
想对作者说点什么? 我来说一句

没有更多推荐了,返回首页

加入CSDN,享受更精准的内容推荐,与500万程序员共同成长!
关闭
关闭